Bullet Collision Detection & Physics Library: GIM_TRIANGLE_CONTACT Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
GIM_TRIANGLE_CONTACT Struct Reference

Structure for collision. More...

`#include <btTriangleShapeEx.h>`

Collaboration diagram for GIM_TRIANGLE_CONTACT:
[legend]

## Public Member Functions
void | copy_from (const GIM_TRIANGLE_CONTACT &other)
| GIM_TRIANGLE_CONTACT ()
| GIM_TRIANGLE_CONTACT (const GIM_TRIANGLE_CONTACT &other)
void | merge_points (const btVector4 &plane, btScalar margin, const btVector3 *points, int point_count)
| classify points that are closer More...

## Public Attributes
btScalar | m_penetration_depth
int | m_point_count
btVector4 | m_separating_normal
btVector3 | m_points [MAX_TRI_CLIPPING]

## Detailed Description

Structure for collision.

Definition at line 38 of file btTriangleShapeEx.h.

## Constructor & Destructor Documentation

## § GIM_TRIANGLE_CONTACT() [1/2]

GIM_TRIANGLE_CONTACT::GIM_TRIANGLE_CONTACT | ( |  | ) |
| inline

Definition at line 57 of file btTriangleShapeEx.h.

## § GIM_TRIANGLE_CONTACT() [2/2]

GIM_TRIANGLE_CONTACT::GIM_TRIANGLE_CONTACT | ( | const GIM_TRIANGLE_CONTACT & | other | ) |
| inline

Definition at line 61 of file btTriangleShapeEx.h.

## Member Function Documentation

## § copy_from()

void GIM_TRIANGLE_CONTACT::copy_from | ( | const GIM_TRIANGLE_CONTACT & | other | ) |
| inline

Definition at line 45 of file btTriangleShapeEx.h.

## § merge_points()

void GIM_TRIANGLE_CONTACT::merge_points | ( | const btVector4 & | plane,
|  | btScalar | margin,
|  | const btVector3 * | points,
|  | int | point_count
| ) |  |

classify points that are closer

Definition at line 28 of file btTriangleShapeEx.cpp.

## Member Data Documentation

## § m_penetration_depth

btScalar GIM_TRIANGLE_CONTACT::m_penetration_depth

Definition at line 40 of file btTriangleShapeEx.h.

## § m_point_count

int GIM_TRIANGLE_CONTACT::m_point_count

Definition at line 41 of file btTriangleShapeEx.h.

## § m_points

btVector3 GIM_TRIANGLE_CONTACT::m_points[MAX_TRI_CLIPPING]

Definition at line 43 of file btTriangleShapeEx.h.

## § m_separating_normal

btVector4 GIM_TRIANGLE_CONTACT::m_separating_normal

Definition at line 42 of file btTriangleShapeEx.h.

The documentation for this struct was generated from the following files:

- btTriangleShapeEx.h
- btTriangleShapeEx.cpp